> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products

> Retrieve all products and materials available for ordering, in separate object arrays.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/products
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/products:
    get:
      tags:
        - Products and Materials
      summary: Get products
      description: >-
        Retrieve all products and materials available for ordering, in separate
        object arrays.
      parameters:
        - name: type
          in: query
          required: false
          description: >-
            Optional type of product to retrieve, either 'prescription',
            'non_prescription', or 'order_material'
          schema:
            type: string
            example: prescription
      responses:
        '200':
          description: Successful response with all products, or specific type of products.
          content:
            application/json:
              schema:
                oneOf:
                  - title: All Types
                    type: object
                    properties:
                      non_prescription:
                        type: array
                        items:
                          $ref: '#/components/schemas/ProductNonPrescriptionFull'
                      prescription:
                        type: array
                        items:
                          $ref: '#/components/schemas/ProductPrescriptionFull'
                      order_material:
                        type: array
                        items:
                          $ref: '#/components/schemas/ProductOrderMaterialFull'
                  - title: Prescription Products
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductPrescriptionFull'
                  - title: Non-Prescription Products
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductNonPrescriptionFull'
                  - title: Order Materials
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductOrderMaterialFull'
components:
  schemas:
    ProductNonPrescriptionFull:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
        - $ref: '#/components/schemas/ProductNonPrescription'
    ProductPrescriptionFull:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
        - $ref: '#/components/schemas/ProductPrescription'
    ProductOrderMaterialFull:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
        - $ref: '#/components/schemas/ProductOrderMaterial'
    ProductBase:
      allOf:
        - $ref: '#/components/schemas/ID'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          properties:
            sku:
              type: string
              example: '1234567890'
              description: Unique inventory identifier for the product
    ProductNonPrescription:
      type: object
      properties:
        name:
          type: string
          example: Krill Farms Fish Oil
        description:
          type: string
          example: A fish oil supplement complementary to prescribed products.
        form:
          type: string
          example: liquid
          description: Optional form of the product for customer use, if desired.
        is_active:
          type: boolean
          example: true
          description: Whether the product is currently active for purchase
    ProductPrescription:
      type: object
      properties:
        name:
          type: string
          example: Mupirocin
        description:
          type: string
          example: A topical cream that is used to treat skin infections.
        product_code:
          type: string
          example: SUPERSPRAY15
          description: >-
            Customer reference for the product for use in electronic
            prescriptions.
        form:
          type: string
          example: cream
          description: Optional form of the product for customer use, if desired.
        is_active:
          type: boolean
          example: true
          description: Whether the product is currently active for purchase or prescription
        label_orientation:
          type: string
          example: portrait
          description: >-
            Orientation of the printed product label, either `portrait` or
            `landscape`.
        strength:
          type: string
          example: 1%
          description: Optional strength of the product for customer use, if desired.
    ProductOrderMaterial:
      type: object
      properties:
        name:
          type: string
          example: Referral Brochure
        description:
          type: string
          example: Customer brochure included in every shipment.
        category:
          type: string
          example: marketing
        current_stock:
          type: integer
          example: 927
        reorder_threshold:
          type: integer
          example: 100
        has_inventory:
          type: boolean
          example: true
          description: Whether the product has any inventory associated with it
        is_global:
          type: boolean
          example: false
          description: >-
            Whether the material is customer-specific or Blend-wide (e.g.
            regulatory inserts)
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    Timestamps:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: Date and time of creation
          example: '2025-03-15T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time of last update
          example: '2025-03-15T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````